Bug 8946 - up2date hits a python exception for multiple RPM's + suggestions
up2date hits a python exception for multiple RPM's + suggestions
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 2000-01-28 13:43 EST by Petri Aukia
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-28 13:16:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petri Aukia 2000-01-28 13:43:22 EST
1) Trying to update some RPM's works, but a large number of them cause a
python exception, such as

Package: kernel-source     Size: 50851 K
        Version: 2.2.12    Release: 20
        The source code for the Linux kernel.

[root@sibelius peba]# up2date
Exception in thread Thread-3:
Traceback (innermost last):
  File "/var/tmp/python-root/usr/lib/python1.5/threading.py", line 376, in
  File "/var/tmp/python-root/usr/lib/python1.5/threading.py", line 364, in
    apply(self.__target, self.__args, self.__kwargs)
  File "/usr/share/up2date/gui.py", line 539, in mainThread
  File "/usr/share/up2date/client.py", line 931, in installPackages
    pkgName), "u")
TypeError: bad type for header argument

2) man page for up2date is not installed with the RPM

3) up2date does not provide its version with either -v -V -version

4) it is difficult to suppress categories of non-interest, such as gnome
and the related utilities

5) there is no autoprobing for the current hw -- using up2date will require
considerable effort to continuously ignore the nor-occuring hw. Up2date
should thus have the capability set of the installer

6) The dialog box for the ignored files breaks, once one uses [a-z]* as a
removing pattern.

7) The cancel/quit functionality is intermittent at best

8) The eception is NOT caught by the GUI, but only shows up in the console

9) There is very little feedback upon start on the files that already
exist, but have not been installed -- one gets the impression as if they
were downloaded again.

10)The help is visible only by a) figuring out that up2date is a wrapper,
   reading the man page of the wrapper, guessing where the real one is,
   and then reading the source. No GUI help, no man page(amazing!),
   no help upon wrong command line switches.

11) Netscape (4.7) closes the window, and after that one is asked
   whether one would like to close the window.

12) RPM's can't be seleced as a group or delseled as a group

13) The RPM dependency finder fails, even with 10 levels of recursion if
    one selects all the improvements that have come after the 6.1 release

14) There does not seem to be a priority in place. It should be obvious,
    that a buggy up2date should be replacable and in the set of
    dependencies on a level of its own, a bit akin to the dependency of
    a makefile on itself.

15) I could not find an alternative way to report on installation. Email
    is not my preferred means.

16) One cannot add packages to the exception-list from the netscape page.
Comment 1 Preston Brown 2000-02-28 13:16:59 EST
some of these have been addressed for 6.2, others are very hard or impossible to
fix (for example, the netscape close window issue), and others need to be
addressed but we haven't done it in this iteration.

If you do try the new Update Agent in 6.2 and still have some problems (NOT
feature requests) please open a bug for EACH ONE, not all under one bug.  This
makes tracking much much more efficient and easy.

Note You need to log in before you can comment on or make changes to this bug.